Skip to main content
POST
/
api
/
v1
/
workspace
/
{workspaceId}
/
environments
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/workspace/{workspaceId}/environments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "position": 2
}
'
{
  "message": "<string>",
  "workspace": "<string>",
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "position": 123,
    "projectId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical-saif-eng-4890-add-support-for-oracle-db-access-in.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

workspaceId
string
required

The ID of the project to create the environment in.

Body

application/json
name
string
required

The name of the environment to create.

slug
string
required

The slug of the environment to create.

Required string length: 1 - 64
position
number

The position of the environment. The lowest number will be displayed as the first environment.

Required range: x >= 1

Response

Default Response

message
string
required
workspace
string
required
environment
object
required